Скрипт для установки программного обеспечения и настройки сети

Привет, я хотел бы знать, как после свежей установки Ubuntu, то можно установить все необходимые программные(в VLC, Апач, MySQL и PHP, Ява, Netbeansetc) с помощью сценария оболочки.

Также я хотел тот же самый скрипт, чтобы настроить свой статический IP-сети, включая адрес, шлюз, маску подсети и DNS-сервер IP для IPv4... Возможно ?

Не невозможно, верно?

+434
boztalay 30 апр. 2010 г., 21:03:14
30 ответов

Попробуйте запустить: суда apt-получить чистый последующим судо команды dpkg --настроить -а потом, наконец, судо apt-получить -установить Ф

+986
Corey Cole 03 февр. '09 в 4:24
Используйте этот тег, если у вас есть проблемы зимующих вашего Ubuntu установить или у вас есть проблемы просыпаться вашего Ubuntu установить после спящего режима.
+940
Ian Howson 9 сент. 2011 г., 4:49:59

Я пытаюсь установить языки на моей Убунту 12.04. К сожалению, это не работает, я получаю только информация: "базы данных программного обеспечения не нарушена. Невозможно установить или удалить любое программное обеспечение. Пожалуйста, используйте менеджер пакетов "Синаптик" или выполнить команду sudo apt-получить установку -Ф. в терминале для устранения этой проблемы сначала"

Я пытался использовать эту команду и многое другое, без успеха. Любая команда, что я в принципе ничего не обнаружить и до сих пор не могу использовать немецкую раскладку клавиатуры. Кто там, что может помочь? Ubuntu-это действительно подавляющим..

+904
Vitaly Baum 10 мар. 2012 г., 23:20:45

Я обновился до Ubuntu 12.04 бета 2 через судо делать-релиз-обновление -д и выделили несколько... глюки и проблемы в процессе/скриптов, в основном для конечного пользователя точки зрения. Там, кажется, больше, чем один список, который может поместиться, в Ubuntu-Devel, который - или, возможно, Убунту-ОК - или даже Убунту-десктоп - иерархии.

Я знаю о Launchpad, мозговой штурм, BugSquad и т. д., Но глядя на список рассылки, где люди, которые разрабатывают этот конкретный процесс обсуждения.

По моему опыту, просят человека, который знает ответ гораздо быстрее, чем делать свои собственные исследования. :)

Ура, Алек.

(отставной программист с многолетним опытом работы в цикле разработки программного обеспечения, включая Осс)

+896
adamsist 11 окт. 2012 г., 17:00:23

pdftk является полезным мультиплатформенный инструмент для работы (pdftk домашней страницы).

pdftk полный-формат PDF.PDF выходной кот 12-15 outfile_p12-15.формат PDF

вы проходите именем главного PDF, тогда вы говорите ему чтобы включать только определенные страницы (12-15 в этом примере) и вывести его на новый файл.

+883
Krishna Chaitu 4 апр. 2017 г., 0:03:17

Вы делаете новое окно создает объект окна, то вот пример кусок кода:

окно = ГТК.Окна(ГТК.WINDOW_TOPLEVEL)
окна.показать()

Существуют, однако, полезные ресурсы, чтобы помочь, например, PyGTK основой ссылку: http://developer.gnome.org/pygtk/stable/

Кроме того, есть несколько учебников по: http://pygtk.org/pygtk2tutorial/

+845
masha222 6 мая 2010 г., 10:44:37

Я использую Ubuntu 12.04, как установить PCManFM и Наутилус.

Я успешно установить файловый менеджер по умолчанию в PCManFM: я добился, что, выполнив следующие шаги:

  • Щелкнув правой кнопкой мыши папку - открыть с помощью... - выбрать PCManFM
  • Выбирая PCManFM в качестве файлового менеджера в экзо-предпочтительный-приложений
  • Работает mimeopen -Д ~/в Dropbox, и выбрать PCManFM

Прямо сейчас, каждую папку, я открываю, открывается в PCManFM. Это то, что я хочу. Однако, когда я нажмите на значок Dropbox в строке в верхней части экрана и выберите 'Открыть папку Dropbox', Dropbox будет открыт в Наутилусе вместо PCManFM. Есть ли способ, чтобы заставить Dropbox, чтобы открыть его в PCManFM, а?

+839
Velixtra 6 июл. 2012 г., 9:13:55

Я не думаю, что любой из файловых систем, которые вы перечислили как "параметры" подходят.

Почему вы не можете использовать файловую систему NTFS?

+831
Andrey Solovyov 8 окт. 2010 г., 19:36:48

У меня в/Boot/ на отдельный раздел С /, а /загрузки/ 98% заполнен. Как сделать больше места на нем?

+828
Joe Corkery 4 июл. 2013 г., 1:47:04

Лучший совет, который я могу дать вам это попробовать, используя VNC-сервер, они могут быть использованы на Windows или Linux, а также клиентам доступны для Linux.

Я предлагаю глядя с TightVNC http://www.tightvnc.com/

+811
CD Rohling 31 окт. 2014 г., 8:14:08

Если я читаю ваш вопрос правильно, это звучит, как вы используете Putty на Windows, чтобы подключиться к Ubuntu. Это также звучит, как вы даете шпатлевка с IP 127.0.0.1. Если это так, вы говорите Putty для подключения к компьютеру Windows. Чтобы найти IP на Ubuntu, вам может работать IP АДР шоу (на Убунту компьютер), а затем использовать IP-адрес для интерфейса, который вы используете для выхода в интернет (en0, как wlan0 и т. д.) С помощью замазки.

+762
JudyFChesney 16 авг. 2013 г., 20:01:47

Я следовал описанию на сайте , но когда я пытаюсь перетащить proxtube.файл CRX на вкладку "Инструменты" мой Launcher единства слева подсвечивается и я не могу показаться, чтобы вставить файл в Chrome, чтобы установить его.

Как я могу это исправить? Я использую Ubuntu 12.04 ЛТС x64 и Chrome версии 24.0.1312.52

+753
Namey 23 окт. 2010 г., 10:14:09

Под Ubuntu 12.10, единство 2D был заменен единство 3D работает на программное обеспечение 3D движка. Это, как вы уже заметили, это significanty медленнее единство 2D на том же оборудовании, потому что 2D графика программного обеспечения уже 30 лет стоит умничать оптимизации, которые не работают, когда вы пытаетесь сделать 2D-графики в 3D-стек.

Единство программного обеспечения 2D был полностью удален из репозиториев Ubuntu, так что если вы хотите его, вам придется построить его из исходников. Я рекомендую, если вы хотите разумно и быстрого стола с минимумом хлопот, вы используете гном-панель (ака гном-классический или Gnome-резервный) или Xfce вместо сессии.

+658
kimsk 1 мая 2014 г., 0:25:57

В то время как вы должны дать больше информации, одна из возможных причин заключается в том, что другой раздел монтируется под раздел, который вы пытаетесь размонтировать.

Во-первых, выполните следующие команды и добавлять их в свой пост:

$ ДФ-А-Ч -Т
$ Маунт (без вариантов)

Один пример того, что я имею в виду, если бы вы с помощью загрузчика EFI и у вас GPT-диск. В том случае, когда вы обычно загружается, у вас есть перегородки установлены под другие разделы, а именно:

/
/загрузки
в /boot/efi в

В этом случае, вы не сможете отключить /загрузки, пока вы не отмонтировать /загрузки/Эфи.

Таким образом, проверить выход ДФ команды выше (и после него), тоже посмотреть, что другие крепления, то размонтирование /загрузки.

+640
RalphTheWonderLlama 23 мая 2014 г., 18:47:09

У меня есть треугольник с восклицательным знаком внутри в трее, описание следующее :

Информация об обновлениях устарела. Это может быть вызвано сети проблем или репозиторий больше не доступен. Пожалуйста, обновите вручную, нажав на этот значок, а затем выберите 'проверить обновления и проверить, если некоторые из перечисленных хранилищ не получится.

triangle in systray

update manager window

Обновления " чек " не поможет - он не показывает обновления каждый раз. Он был бы благодарен, если кто-то может помочь мне решить это

+629
bpaul 8 авг. 2010 г., 0:48:18

Поскольку вы только что установили сегодня, снова установка. В то время как вы можете оправиться от этого, это будет намного больше работы, чем переделывать установку.

Взыскать с удаление /usr/Бен, вы должны переустановить все пакеты, файлы в этом каталоге. Вы можете использовать эту команду для получения списка пострадавших пакеты:

компакт-диск /ВАР/Либ/с dpkg/информация
грэп -л '^/usr/Бен/' *.список | е с/\.список$//'

Затем вам нужно найти какой-то способ скачивать пакеты, без использования каких-либо удаленные программы. После того, как вы удалили с dpkg, низкоуровневый пакет установки утилиты, вам потребуется получить его от где-то первый. Возьмите его из какой-то другой машины под управлением той же версии Убунту, или скачать программу dpkg пакет на другой машине и извлечения программ из него. Вам потребуется не только /usr/бен/с dpkg , но и все остальные программы этого пакета, в том числе обновление-альтернатив и программ по имени /usr/бен/с dpkg-*. Опять же, копирование может быть сложно с таким количеством программ удален, так что вы, возможно, потребуется перезагрузить с загрузочного CD/USB, чтобы сделать это.

Если у вас есть команды dpkg люкс, скачать, по крайней мере, с dpkg и АПТ пакет как-то, возможно на другой машине или в еще-запуск веб-браузера.

После установки АПТ вручную с помощью команды

с dpkg -я /путь/к/apt_0.8.16~exp12ubuntu10.2.деб

Если вы получаете ошибки о недостающих команд, установите соответствующие пакеты. Переустановите все пакеты:

apt-получить --переустановить установить $(грэп -л '^/usr/Бен/' *.список | е с/\.список$//')

Опять же, в вашей ситуации, просто делать полную переустановку.

+575
user1132534 17 мая 2012 г., 3:00:53

вы можете дать попробовать:

команду sudo alsaconf с правами

что должно быть в ALSA-utils версии пакета вместе с alsamixer.

+574
Ferret Civilization 7 авг. 2016 г., 4:16:44

Вы можете найти журнал выход из "Единства" в ~/.xsession теперь-ошибки, но это не поможет.

Там нет кнопки меню единства на верхней панели, он был перемещен в камеру. Наведите курсор мыши на левый край экрана, чтобы увидеть его.

Странные шрифты, вероятно, вызваны новые параметры по умолчанию. Кроме того, вы не можете изменять их параметры ушли из Центра управления. Вы, наверное, можете изменить их, если вы возиться с интерфейсом dconf-редактор.

Разбитый экран входа в систему? Похоже, вы до сих пор ГДМ вместо языка. Можете ли вы проверить? (Тип pidof перевод в терминале, если вы не получите никакого выхода, то он не работает; если вы видите число, тогда это работает. То же самое с pidof ГДМ.) Есть лог-файлы в каталоге/var/журнал/дист-апгрейд , что может пролить свет и объяснить, почему вы не получили перевод -- ты командлет Update Manager для обновления до Онейроидного, или вы сделали что-то не поддерживается, например, sudo apt-получить расстояние-обновления?

+483
Will Cole 29 окт. 2015 г., 21:32:32

У меня точно такая же проблема на моей машине, но я понял, что если вы выберите Ф6 ->> тогда знак "X" в noraid и nomodeset его загрузки и установить, но проблема начинается после завершения установки. Я все еще получаю опять тот же черный экран. Я не являюсь пользователем Linux, но я думаю, что это как-то связано с графического адаптера.

+481
DN51 15 июл. 2012 г., 12:39:58

Каждый так часто есть бета-версия драйвера Nvidia, я хочу попробовать. Это произошло сегодня: была большая проблема производительности с версии 295.40 и я хочу попробовать новенький xrandr, и 302.07.

Я более чем в состоянии, чтобы загрузить установщик, удалить все РЕПО-установлены файлы драйвера и установить новую версию, но это, откровенно говоря, боли в нижней развернуться и вернуться к версии РЕПО. Это также означает, что я должен повторно установить драйвер вручную каждый раз при обновлении ядра.

Другой вариант мы обычно даем людям-это НПА, но в этом случае я становлюсь очень нетерпеливым. Это будет за несколько дней до каких-либо НПА получает это, но я должен попробовать это сегодня. Я уже установил его вручную на медиа-центр и я присматриваюсь сейчас к моему рабочему столу.

Так как сделать установщик (например: для NVIDIA-Linux на платформе x86-302.07.работать) и преобразовать их в новые от Nvidia-текущие/NVIDIA-за текущего обновления пакета?

Еще один способ просить это может быть: как люди пакет драйверов NVIDIA?

+478
Michael Samuel 4 дек. 2013 г., 11:31:56

Чтобы узнать, как использовать команду добавить пробел, а затем "--help", чтобы в конце его - это говорит вам, как использовать его и выдает список вариантов.

например

СР --помогите
+459
wolf killer 7 янв. 2010 г., 1:46:04

Основная разница между Убунту 11.10 и 12.04, что много труда вложено в улучшение единство и множество других функций пределах, что и последние версии пакетов, исправлены ошибки и лучше поддержка драйверов...

+314
Sasha 30 нояб. 2010 г., 10:20:30

Я думаю, я нашел по крайней мере один из виновников:

21 августа 16:15:09 UbuntuSystem Су[30135]: успешные СУ для пользователей корнем
21 августа 16:15:09 UbuntuSystem Су[30135]: + ??? корень:пользователь
21 августа 16:15:09 UbuntuSystem Су[30135]: модуля pam_unix(Су-сессия) - сессия открыта для пользователя по (Уид=0)
21 августа 16:15:09 UbuntuSystem Су[30135]: модуля pam_unix(Су-сессия) - сессия закрыта для пользователей 
21 августа 16:15:09 UbuntuSystem судо: модуля pam_unix(судо-сессия) - сессия закрыта для пользователя root 
21 августа 16:15:12 UbuntuSystem судо: пользователей : телетайп=неизвестно ; ФРД=/главная/пользователя ; Пользователь=корень ; команда=в/usr/lib в/Юпитер/скрипты/ЦП-контроля высокий
21 августа 16:15:12 UbuntuSystem судо: модуля pam_unix(судо-сессия) - сессия открыта для пользователя root ПО (с uid=1000)
21 августа 16:15:12 UbuntuSystem Су[30174]: успешные СУ для пользователей корнем
21 августа 16:15:12 UbuntuSystem Су[30174]: + ??? корень:пользователь
21 августа 16:15:12 UbuntuSystem Су[30174]: модуля pam_unix(Су-сессия) - сессия открыта для пользователя по (Уид=0)
21 августа 16:15:12 UbuntuSystem Су[30174]: модуля pam_unix(Су-сессия) - сессия закрыта для пользователей 
21 августа 16:15:12 UbuntuSystem судо: модуля pam_unix(судо-сессия) - сессия закрыта для пользователя root 

В этом случае записи были подключены к апплету сила Юпитера, а конкретно при изменении режима питания процессора. Как не было никакого упоминания о Юпитере в любых других случаях, я не уверен, можно ли их отнести к этому же процессу.

Я буду следить за мои журналы и любые дальнейшие результаты здесь.

+230
Manu Maxwell 4 янв. 2010 г., 12:27:05

Я заинтересован в подаче заявки на продажу в Центре приложений Ubuntu. Я могу сделать это с помощью базы KDE и C++ или любой другой КДЕ-совместимом языке, а не на GTK и Python? Я не заинтересован в принятии в KDE/Кубунту-приложение, только приложение будет использоваться на Убунту/Кубунту, написанные с использованием основы для KDE.

Если это разрешено, есть главная причина, почему я должен выбрать на GTK и Python над KDE и с++?

+227
raf0mar 4 мая 2016 г., 4:02:24

Мне просто нужен код, необходимый, чтобы мои приложения назначить ввод из текстового поля в переменную после "ввод" нажата, а затем использовать его, чтобы изменить метку.

Это то, что у меня этой проблемы:

деф on_action_activated(самовыдвижение):
 самовывоз.следующий = собственн.действий.get_text() 

И потом с помощью его я делаю:

информация.set_text("вы хотите начать новую игру? (никакой экономии пока нет, работаю над этим...)") 

И это не работает для меня. Теперь я делаю все это в несколько различных функций, так что бы быть причиной проблемы, или это просто что-то другое? Я создал локальную переменную для обоих метка и текстовое поле.

+193
svyatogor2007 17 мая 2011 г., 15:35:08

Возможные Дубликаты:
Как установить и использовать самую последнюю версию с GNOME 3?

Я использую Ubuntu 11.10 и у многих проблемы и это нормально, потому что он все еще находится в бета-версии и я установил GNOME 3 и в любви с ним и хочу, чтобы моя система для запуска прямо на гнома интерфейс, поэтому в случае, если это возможно, пожалуйста, помогите мне

+185
Jeffrey04 8 мая 2014 г., 11:29:56

Прежде чем ответить на вопрос, я хочу прокомментировать ответ gokulvarma и разговор между gokulvarma и Даниил:

Имея судо разрешение не причина Даниилнеспособность добавить Системные инструменты для применения меню. Он не мог добавить его, потому что он пытался добавить пустую категорию. Системные инструменты - это категория или подменю, если мы добавить приложения, которые подпадут под какие-либо категории, что категория создается автоматически. С другой стороны, если нет ничего под ним, мы не можем создать Категорию; когда мы стараемся, клещ исчезает через несколько секунд. Если мы очистим все элементы в категории, Категория очищается автоматически.

Дэниел попытался добавить эту категорию при выборе приложения из левой области и тикать Системные инструменты из правой панели. Как это:

alt text

Вместо этого, он должен выбрать систему инструментов с левой панели, которая видна уже есть - и он должен отметить редактор конфигурации из правой панели. Как это:

alt text

Когда он это сделал, в его приложений, меню, служебные категории/суб-меню должно появится с настройки редактора в нем. Как это:

alt text

Не нужно быть sudoer, чтобы сделать это, потому что инструмент, который мы добавляем, может использоваться любым пользователем, чтобы организовать свои собственные предпочтения.

Но этот инструмент, редактор конфигурации, помочь Дэниелу, чтобы решить свою проблему? На мой взгляд, это не будет, потому что это то же самое, что он называет gconf редактор. Либо через альт+Ф2 или через терминал, gconf редактор команда будет открыть это приложение и он звуки, что Дэниел уже может достигнуть этого приложения, но он не может найти гнома-система-инструменты в нем. Он хочет найти гнома-система-инструменты есть для того, чтобы достичь пользователей Раздел.

В моей конфигурации редактор, который может осуществляться с командной строки так же, я не могу видеть то, как Гном-система-инструментытоже. я тоже не могу найти пользователей раздела. Может быть, его где-то там скрывается под какую-то категорию, или она больше не существует. (Гном сидит менеджеры развивались много, совсем недавно; сайты Даниил рассказал о может быть старый) позволяет ссылаться на гнома Системные инструменты' официальная документация: каковы гном Системные инструменты? Там, среди прочего, мы видим скриншот инструмент для управления пользователями и группами:

alt text

И это тот инструмент, который мы знаем как пользователи и группы.(Да интерфейс немного изменился, но это он.) Это может быть достигнуто через система->администрирование. Таким образом, нет необходимости бороться, чтобы достичь его изнутри других инструментов. Его там. Но, как Бобби, который прокомментировал вопрос, я не могу сделать так, что "Фикси-шоу Все пользователи" означает.

+90
ahoffer 30 янв. 2010 г., 7:25:46

Я только что переехал в Нэтти от Maverick и вдруг мой терминал невидимой.

Я могу вводить команды и они казнят, но я не вижу - только курсор меняется, когда в районе аэродрома активно. Что может быть не так и как я могу это исправить?

+87
Pyre Z 11 июн. 2013 г., 10:35:47

Есть решение. Вы можете посмотреть мой ответ на аналогичный вопрос для той же аппаратной здесь , если он может помочь вам.

+75
user3317236 6 мар. 2011 г., 6:45:26

Как правило, это более плавную (в зависимости от карта Nvidia у вас) хотя драйвер Nouveau определенно улучшается.

Ты/вы готовы попробовать единства-2Д? Он должен работать намного более гладко для вас

+73
user11262 12 мар. 2011 г., 9:12:15

Показать вопросы с тегом